
local Container = Object:extend()

function Container:new()
  self.objects = {}
end


function Container:add(object)
  self.objects[#self.objects+1] = object
  return object
end


function Container:getObjects()
  return self.objects
end


function Container:update(dt)
  for k, object in ipairs(self.objects) do
    if not object.removed then
      if object.update then object:update(dt) end
    else table.remove(self.objects, k) end
  end
end


function Container:draw()
  for k, object in ipairs(self.objects) do
    if object.draw then object:draw() end
  end
end


function Container:keypressed(key)
  for k, object in ipairs(self.objects) do
    if object.keypressed then object:keypressed(key) end
  end
end


function Container:clear()
  self.objects = {}
end

return Container