
local Player = Actor:extend()

function Player:new(x, y)
  Player.super.new(self)
  self.type = "Player"
  self.x = x or 0
  self.y = y or 0
  self.color = {255, 0, 0, 255}
  self.jumpPower = -400
  self.removed = false
end


function Player:updateMovement(dt)
  local keyDown = love.keyboard.isDown
  local up, down, left, right, jump = keyDown("up"), keyDown("down"), keyDown("left"), keyDown("right"), keyDown(" ")
  if left and not right then self:move(-self.xvel*dt, 0)
  elseif right and not left then self:move(self.xvel*dt, 0) end
  if jump then self:jump(self.jumpPower) end
end


function Player:update(dt)
  self:updateMovement(dt)
  self:updateGravity(dt)
end


function Player:draw()
  love.graphics.setColor(unpack(self.color))
  love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
  love.graphics.setColor(255, 255, 255, 255)
end


return Player
